# std::error_code Struct Reference

error_code More...

List of all members.

## Public Types

- typedef void(* __bool_type )()

## Public Member Functions

- void assign (int __v, const error_category &__cat)
- const error_category & category () const
- void clear ()
- error_condition default_error_condition () const
- template<typename _ErrorCodeEnum > error_code (_ErrorCodeEnum __e, typename enable_if< is_error_code_enum< _ErrorCodeEnum >::value >::type *=0)
- error_code (int __v, const error_category &__cat)
- string message () const
- operator __bool_type () const
- template<typename _ErrorCodeEnum > enable_if< is_error_code_enum
  < _ErrorCodeEnum >::value,
  error_code & >::type operator= (_ErrorCodeEnum __e)
- int value () const

## Static Public Member Functions

- static void __not_bool_type ()

## Detailed Description

error_code

Definition at line 113 of file system_error.

The documentation for this struct was generated from the following file:

- system_error